Package org.apache.sysds.runtime.functionobjects

## Class ValueFunction

- java.lang.Object
- - org.apache.sysds.runtime.functionobjects.FunctionObject
  - - org.apache.sysds.runtime.functionobjects.ValueFunction

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `And`, `BitwAnd`, `BitwOr`, `BitwShiftL`, `BitwShiftR`, `BitwXor`, `Builtin`, `CM`, `COV`, `CTable`, `Divide`, `IntegerDivide`, `KahanFunction`, `Mean`, `Minus`, `Minus1Multiply`, `MinusNz`, `Modulus`, `Multiply`, `Multiply2`, `Not`, `Or`, `ParameterizedBuiltin`, `Plus`, `Power`, `Power2`, `TernaryValueFunction`, `ValueComparisonFunction`, `Xor`

    public abstract class ValueFunction
    extends FunctionObject

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ValueFunction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isBinary()`
`boolean` `requiresCorrection()`
`String` `toString()`

### Methods inherited from class org.apache.sysds.runtime.functionobjects.FunctionObject

`clone, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute, execute`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValueFunction

    public ValueFunction()

### Method Detail

#### requiresCorrection

    public boolean requiresCorrection()

#### isBinary

    public boolean isBinary()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`